> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getUser

> 
The `getUser` API retrieves detailed information for a specific user.

### What it does:

- Returns comprehensive user details including personal information, employment status, wage, and contact data
- Provides individual user profile information for employees or contractors



## OpenAPI

````yaml get /reports/getUser
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getUser:
    get:
      tags: []
      summary: getUser
      description: >-

        The `getUser` API retrieves detailed information for a specific user.


        ### What it does:


        - Returns comprehensive user details including personal information,
        employment status, wage, and contact data

        - Provides individual user profile information for employees or
        contractors
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getUser
                companyId:
                  type: string
                userId:
                  type: string
              required:
                - method
                - companyId
                - userId
            example:
              method: getUser
              companyId: 2DFCA586-C2D4-4FD7-B823-063F2575A5E7
              userId: AD5BBA6F-B0F3-41E7-B98E-63603F5E115F
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                        userId:
                          type: string
                        userReferenceId:
                          type: string
                        companyId:
                          type: string
                        status:
                          type: object
                          properties:
                            userStatus:
                              type: string
                          required:
                            - userStatus
                        WorkerType:
                          type: object
                          properties:
                            WorkerType:
                              type: string
                          required:
                            - WorkerType
                        firstName:
                          type: string
                        lastName:
                          type: string
                        middleName:
                          type: string
                        phoneNumber:
                          type: string
                        kycStatus:
                          type: string
                        jobTitle:
                          type: string
                        dateOfJoin:
                          type: string
                        email:
                          type: string
                        userWages:
                          type: array
                          items:
                            type: object
                            properties:
                              userWageId:
                                type: string
                              standardWorkingHours:
                                type: integer
                              WageRate:
                                type: integer
                              WageBasis:
                                type: object
                                properties:
                                  WageBasis:
                                    type: string
                                required:
                                  - WageBasis
                              paymentMethod:
                                type: object
                                properties:
                                  PaymentMethod:
                                    type: string
                                required:
                                  - PaymentMethod
                              employeeRefTaxExempt:
                                type: string
                              employeeType:
                                type: string
                              differentialPay:
                                type: string
                              employmentStatus:
                                type: string
                        userAddress:
                          type: object
                          properties:
                            address1:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipcode:
                              type: string
                            country:
                              type: string
                          required:
                            - address1
                            - city
                            - state
                            - zipcode
                            - country
                        userRemoteLocations:
                          type: array
                          items:
                            type: string
                        companyLocationCategory:
                          type: object
                          properties:
                            companyLocationCategory:
                              type: string
                          required:
                            - companyLocationCategory
                        companyLocation:
                          type: object
                          properties: {}
                        stateCode:
                          type: string
                        W4Informations:
                          type: array
                          items:
                            type: object
                            properties:
                              W4FilingStatus:
                                type: object
                                properties:
                                  W4FilingStatus:
                                    type: string
                                required:
                                  - W4FilingStatus
                              HaveMultipleJob:
                                type: boolean
                              Dependents:
                                type: integer
                              DependentsAbove18:
                                type: integer
                              OtherIncome:
                                type: integer
                              OtherDeduction:
                                type: integer
                              ExtraWithholding:
                                type: integer
                              HasMilitarySpouseExemption:
                                type: boolean
                              StateAdditionalDeduction:
                                type: integer
                              IsNonResident:
                                type: boolean
                              AZDeductionPercent:
                                type: integer
                        ssn:
                          type: string
                        dateOfBirth:
                          type: string
                        userRemoteLocation:
                          type: object
                          properties: {}
                        stateW4Informations:
                          type: array
                          items:
                            type: string
                        employeeMiscellaneousStateTax:
                          type: array
                          items:
                            type: object
                            properties:
                              instanceId:
                                type: string
                              RiskClassNameEmployee:
                                type: string
                              RiskClassCode:
                                type: string
                              PayrollDeductionRate:
                                type: string
                              CompositeRate:
                                type: string
                            required:
                              - instanceId
                              - RiskClassNameEmployee
                              - RiskClassCode
                              - PayrollDeductionRate
                              - CompositeRate
                        bankAccounts:
                          type: array
                          items:
                            type: object
                            properties:
                              userPayAccountEntityId:
                                type: string
                              bankName:
                                type: string
                              accountName:
                                type: string
                              accountNumber:
                                type: string
                              payPercentage:
                                type: integer
                              accountType:
                                type: string
                              status:
                                type: string
                              accountPriority:
                                type: string
                        timeOffRequests:
                          type: array
                          items:
                            type: string
                        employeeGarnishments:
                          type: array
                          items:
                            type: object
                            properties:
                              garnishmentId:
                                type: string
                              garnishmentType:
                                type: string
                              garnishmentFields:
                                type: object
                                properties:
                                  garnishmentId:
                                    type: string
                                  garnishmentType:
                                    type: string
                                  garnishmentAgency:
                                    type: string
                                  garnishmentFields:
                                    type: object
                                    properties: {}
                                required:
                                  - garnishmentId
                                  - garnishmentType
                                  - garnishmentFields
                            required:
                              - garnishmentId
                              - garnishmentType
                              - garnishmentFields
                      required:
                        - user
                        - userId
                        - userReferenceId
                        - companyId
                        - status
                        - WorkerType
                        - firstName
                        - lastName
                        - middleName
                        - phoneNumber
                        - kycStatus
                        - jobTitle
                        - dateOfJoin
                        - email
                        - userWages
                        - userAddress
                        - userRemoteLocations
                        - companyLocationCategory
                        - ssn
                        - dateOfBirth
                        - W4Informations
                        - stateCode
                required:
                  - user
              examples:
                '1':
                  summary: Success
                  value:
                    user:
                      - user: Molly  Phelps
                        userId: A9A61FBE-7C7F-48E6-9CA8-1AD8A8CB3980
                        userReferenceId: '12370808'
                        companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                        status:
                          userStatus: Active
                        WorkerType:
                          WorkerType: W2
                        firstName: Molly
                        lastName: Phelps
                        middleName: ''
                        phoneNumber: '9988776655'
                        kycStatus: passed
                        jobTitle: Developer
                        dateOfJoin: '2023-02-02'
                        email: phelps6600@mailsac.com
                        userWages:
                          - userWageId: 9C86DE50-1EFF-4982-B174-CB1BE05977E1
                            standardWorkingHours: 8
                            WageRate: 4000
                            WageBasis:
                              WageBasis: Per Month
                            paymentMethod:
                              PaymentMethod: Direct Deposit
                            employeeRefTaxExempt: Yes, as an owner/corporate officer
                            employeeType: Commission only/Eliglble for overtime
                            differentialPay: 'No'
                            employmentStatus: Full Time (30+ Hours per week)
                        userAddress:
                          address1: 102 Fallsgrove Blvd
                          city: Seattle
                          state: WA
                          zipcode: '98101'
                          country: US
                        userRemoteLocations: []
                        companyLocationCategory:
                          companyLocationCategory: Remote
                        companyLocation: null
                        stateCode: WA
                        W4Informations:
                          - W4FilingStatus:
                              W4FilingStatus: Head of household
                            HaveMultipleJob: true
                            Dependents: 3
                            DependentsAbove18: 2
                            OtherIncome: 1500
                            OtherDeduction: 150
                            ExtraWithholding: 10
                            HasMilitarySpouseExemption: false
                            StateAdditionalDeduction: 0
                            IsNonResident: false
                            AZDeductionPercent: 0
                        ssn: '523656325'
                        dateOfBirth: '2006-01-01'
                        userRemoteLocation: null
                        stateW4Informations: []
                        employeeMiscellaneousStateTax:
                          - instanceId: A310861D-384B-4B2A-9D11-DDD9BE5C6109
                            RiskClassNameEmployee: DupTest2
                            RiskClassCode: '123451'
                            PayrollDeductionRate: '1'
                            CompositeRate: '2'
                        bankAccounts:
                          - userPayAccountEntityId: D48DA316-ED8C-4815-B0EC-14057D344951
                            bankName: THE UNION BK OF MENA
                            accountName: LEGACY BANK
                            accountNumber: XXXXXXXXX2500
                            payPercentage: 100
                            accountType: savings
                            status: ready
                            accountPriority: Primary
                        timeOffRequests: []
                        employeeGarnishments:
                          - garnishmentId: 1BBB5668-49A7-44DA-81DC-7462ACCB5B1F
                            garnishmentType: Student Loan
                            garnishmentFields:
                              Amount needed to be withheld per pay period: '500'
                              End Date: '2026-06-06'
                              Total amount to be garnished: '5000'
                          - garnishmentId: 767A5AB2-990E-498D-A527-0DB16365498A
                            garnishmentType: Child Support
                            garnishmentAgency: Florida Child Support Enforcement
                            garnishmentFields:
                              County: Polk
                              Expected Amount Per Pay Period: '25'
                              Frequency (Per): Monthly
                              Total Withholding Amount: '20'
                              Start Date: '2026-01-10'
                              End Date: '2026-10-10'
                              Max % of Net Pay: '10'
                              Who Makes Payment: I will make the payments myself
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: EmployeeId is Mandatory.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````